package com.atlassian.stash.internal.auth.trusted;

import org.junit.Test;

import java.util.Locale;

import static org.junit.Assert.*;

public class SafeEncryptionProviderTest {

    @Test
    public void testGenerateUidFromUuid() {
        String uuid = new SafeEncryptionProvider().generateUidFromUuid();
        assertNotNull("Generated UID should never be null", uuid);
        assertEquals("Generated UID should be 32 characters", 32, uuid.length());
        assertTrue("Generated UID should be uppercase", uuid.equals(uuid.toUpperCase(Locale.US)));
    }
}